CREATE TABLE hrc_dl_arc_logical_lines (
    LOGICAL_LINE_ID            NUMBER(18, 0),
    PARENT_LOGICAL_LINE_ID     NUMBER(18, 0)    NOT NULL,
    IMPORTED_STATUS            VARCHAR2(120)    NOT NULL,
    VALIDATED_LOADED_STATUS    VARCHAR2(120)    NOT NULL,
    ROLLBACK_STATUS            VARCHAR2(120),
    SKIPPED_STATUS             VARCHAR2(4)      NOT NULL,
    CORRECTED_STATUS           VARCHAR2(4)      NOT NULL,
    CHUNK_ID                   NUMBER(18, 0)    NOT NULL,
    VO_MAPPING_ID              NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                 NUMBER(18, 0),
    PROCESSING_ORDER           NUMBER(18, 0),
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    DATA_SET_BUS_OBJ_ID        NUMBER(18, 0)    NOT NULL,
    UI_USER_KEY                VARCHAR2(960),
    EFFECTIVE_START_DATE       DATE         ,
    EFFECTIVE_END_DATE         DATE         ,
    OBJECT_IDENTIFIER          VARCHAR2(400),
    LOGICAL_LINE_ID            NUMBER(18, 0),
    PARENT_LOGICAL_LINE_ID     NUMBER(18, 0)    NOT NULL,
    IMPORTED_STATUS            VARCHAR2(120)    NOT NULL,
    VALIDATED_LOADED_STATUS    VARCHAR2(120)    NOT NULL,
    ROLLBACK_STATUS            VARCHAR2(120),
    SKIPPED_STATUS             VARCHAR2(4)      NOT NULL,
    CORRECTED_STATUS           VARCHAR2(4)      NOT NULL,
    CHUNK_ID                   NUMBER(18, 0)    NOT NULL,
    VO_MAPPING_ID              NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                 NUMBER(18, 0),
    PROCESSING_ORDER           NUMBER(18, 0),
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    DATA_SET_BUS_OBJ_ID        NUMBER(18, 0)    NOT NULL,
    UI_USER_KEY                VARCHAR2(960),
    EFFECTIVE_START_DATE       DATE         ,
    EFFECTIVE_END_DATE         DATE         ,
    OBJECT_IDENTIFIER          VARCHAR2(400),
    CONSTRAINT pk_hrc_dl_arc_logical_lines PRIMARY KEY (LOGICAL_LINE_ID, LOGICAL_LINE_ID)
);
